/**
 * 
 */
package org.myapp.mdb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;

/**
 * JBAS7950MDB
 *
 * @author Jaikiran Pai
 * @version $Revision: $
 */
@MessageDriven(activationConfig =
{@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
      @ActivationConfigProperty(propertyName = "destination", propertyValue = "queue/A"),
      @ActivationConfigProperty(propertyName = "dLQMaxResent", propertyValue = "1")})
public class JBAS7950MDB implements MessageListener
{

   private static int count;
   
   @Override
   public void onMessage(Message msg)
   {
      try
      {
         System.out.println("Delivery count: " + (++count));
         System.out.println("Message re-delivered expected to be true, got : " + msg.getJMSRedelivered());
      }
      catch (JMSException jmse)
      {
         // just log
         System.out.println("Ignoring jmse: " + jmse.getMessage());
      }
      // intentionally throw exception
      throw new RuntimeException("Intentional runtime exception");
   }

}
